
# [@vue/compiler-core](https://github.com/vuejs/vue-next)

[![Knightly Build](https://github.com/knightlyjs/knightly/blob/main/res/badge.svg?raw=true)](https://github.com/knightlyjs/knightly) ![2020-12-04T00:54:54.065Z](https://img.shields.io/date/1607043294?color=eee&label=)

[**Unofficial**] Nightly build for [vuejs/vue-next@cbaa3](https://github.com/vuejs/vue-next/tree/cbaa3805064cb581fc2007cf63774c91d39844fe), published automatically by [Knightly](https://github.com/knightlyjs/knightly).

| package (`@vue/compiler-core`) | `@knightly/vue__compiler-core`                                                                                                                  |
| ------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| version (`3.0.4*`)             | `3.0.4-knightly-master.202012040049`                                                                                                            |
| last commit                    | fix(transition): ensure manual style manipulation in transition leave hooks work                                                                |
| sha (`master`)                 | `cbaa3805064cb581fc2007cf63774c91d39844fe`                                                                                                      |
| changes                        | [compare with last release](//github.com/vuejs/vue-next/compare/v3.0.4-knightly-master.202012040049...cbaa3805064cb581fc2007cf63774c91d39844fe) |
| build                          | 2020-12-04T00:54:54.064Z                                                                                                                        |

> [More PRs and branches builds](https://www.npmjs.com/package/@knightly/vue__compiler-core?activeTab=versions)

### Usage

To replace the package with nightly build:

via `npm`

```bash
npm i @vue/compiler-core@npm:@knightly/vue__compiler-core@master
```

or edit your `package.json`

```json
"dependencies": {
  "@vue/compiler-core": "npm:@knightly/vue__compiler-core@master"
}
```


## Packages

| Package                | Knightly                                                                                                                              |
| ---------------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| `vue`                  | [`@knightly/vue`](https://www.npmjs.com/package/@knightly/vue/v/3.0.4-knightly-master.202012040049)                                   |
| `@vue/reactivity`      | [`@knightly/vue__reactivity`](https://www.npmjs.com/package/@knightly/vue__reactivity/v/3.0.4-knightly-master.202012040049)           |
| `@vue/shared`          | [`@knightly/vue__shared`](https://www.npmjs.com/package/@knightly/vue__shared/v/3.0.4-knightly-master.202012040049)                   |
| `@vue/compiler-core`   | [`@knightly/vue__compiler-core`](https://www.npmjs.com/package/@knightly/vue__compiler-core/v/3.0.4-knightly-master.202012040049)     |
| `@vue/compiler-dom`    | [`@knightly/vue__compiler-dom`](https://www.npmjs.com/package/@knightly/vue__compiler-dom/v/3.0.4-knightly-master.202012040049)       |
| `@vue/compiler-sfc`    | [`@knightly/vue__compiler-sfc`](https://www.npmjs.com/package/@knightly/vue__compiler-sfc/v/3.0.4-knightly-master.202012040049)       |
| `@vue/compiler-ssr`    | [`@knightly/vue__compiler-ssr`](https://www.npmjs.com/package/@knightly/vue__compiler-ssr/v/3.0.4-knightly-master.202012040049)       |
| `@vue/runtime-dom`     | [`@knightly/vue__runtime-dom`](https://www.npmjs.com/package/@knightly/vue__runtime-dom/v/3.0.4-knightly-master.202012040049)         |
| `@vue/runtime-core`    | [`@knightly/vue__runtime-core`](https://www.npmjs.com/package/@knightly/vue__runtime-core/v/3.0.4-knightly-master.202012040049)       |
| `@vue/server-renderer` | [`@knightly/vue__server-renderer`](https://www.npmjs.com/package/@knightly/vue__server-renderer/v/3.0.4-knightly-master.202012040049) |

<br>
Knightly v0.4.7
